Up

# NSPrintInfo

### Authors

Simon Frankau (`sgf@frankau.demon.co.uk`)
Adam Fedor (`fedor@gnu.org`)

> Stores information used in printing.

Copyright: (C) 1996,1997 Free Software Foundation, Inc.

# Class Description

NSPrintInfo is a storage object that stores information that describes how a view is to printed and the destination information for printing.

## NSPrintInfo : NSObject

> Declared in:
>   AppKit/NSPrintInfo.h

> Conforms to:
>   NSCoding
>   NSCopying

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- +defaultPrinter
- +setDefaultPrinter:
- +setSharedPrintInfo:
- +sharedPrintInfo
- +sizeForPaperName:
- -bottomMargin
- -dictionary
- -horizontalPagination
- -initWithDictionary:
- -isHorizontallyCentered
- -isVerticallyCentered
- -jobDisposition
- -leftMargin
- -orientation
- -paperName
- -paperSize
- -printer
- -rightMargin
- -setBottomMargin:
- -setHorizontalPagination:
- -setHorizontallyCentered:
- -setJobDisposition:
- -setLeftMargin:
- -setOrientation:
- -setPaperName:
- -setPaperSize:
- -setPrinter:
- -setRightMargin:
- -setTopMargin:
- -setUpPrintOperationDefaultValues
- -setVerticalPagination:
- -setVerticallyCentered:
- -topMargin
- -verticalPagination

### defaultPrinter

+ (NSPrinter*) defaultPrinter;

Description forthcoming.

### setDefaultPrinter:

+ (void) setDefaultPrinter: (NSPrinter*)printer;

Description forthcoming.

### setSharedPrintInfo:

+ (void) setSharedPrintInfo: (NSPrintInfo*)printInfo;

Description forthcoming.

### sharedPrintInfo

+ (NSPrintInfo*) sharedPrintInfo;

Description forthcoming.

### sizeForPaperName:

+ (NSSize) sizeForPaperName: (NSString*)name;

Description forthcoming.

### bottomMargin

- (float) bottomMargin;

Description forthcoming.

### dictionary

- (NSMutableDictionary*) dictionary;

Description forthcoming.

### horizontalPagination

- (NSPrintingPaginationMode) horizontalPagination;

Description forthcoming.

### initWithDictionary:

- (id) initWithDictionary: (NSDictionary*)aDict;

Description forthcoming.

### isHorizontallyCentered

- (BOOL) isHorizontallyCentered;

Description forthcoming.

### isVerticallyCentered

- (BOOL) isVerticallyCentered;

Description forthcoming.

### jobDisposition

- (NSString*) jobDisposition;

Description forthcoming.

### leftMargin

- (float) leftMargin;

Description forthcoming.

### orientation

- (NSPrintingOrientation) orientation;

Description forthcoming.

### paperName

- (NSString*) paperName;

Description forthcoming.

### paperSize

- (NSSize) paperSize;

Description forthcoming.

### printer

- (NSPrinter*) printer;

Description forthcoming.

### rightMargin

- (float) rightMargin;

Description forthcoming.

### setBottomMargin:

- (void) setBottomMargin: (float)value;

Description forthcoming.

### setHorizontalPagination:

- (void) setHorizontalPagination: (NSPrintingPaginationMode)mode;

Description forthcoming.

### setHorizontallyCentered:

- (void) setHorizontallyCentered: (BOOL)flag;

Description forthcoming.

### setJobDisposition:

- (void) setJobDisposition: (NSString*)disposition;

Description forthcoming.

### setLeftMargin:

- (void) setLeftMargin: (float)value;

Description forthcoming.

### setOrientation:

- (void) setOrientation: (NSPrintingOrientation)mode;

Description forthcoming.

### setPaperName:

- (void) setPaperName: (NSString*)name;

Description forthcoming.

### setPaperSize:

- (void) setPaperSize: (NSSize)size;

Description forthcoming.

### setPrinter:

- (void) setPrinter: (NSPrinter*)aPrinter;

Description forthcoming.

### setRightMargin:

- (void) setRightMargin: (float)value;

Description forthcoming.

### setTopMargin:

- (void) setTopMargin: (float)value;

Description forthcoming.

### setUpPrintOperationDefaultValues

- (void) setUpPrintOperationDefaultValues;

Description forthcoming.

### setVerticalPagination:

- (void) setVerticalPagination: (NSPrintingPaginationMode)mode;

Description forthcoming.

### setVerticallyCentered:

- (void) setVerticallyCentered: (BOOL)flag;

Description forthcoming.

### topMargin

- (float) topMargin;

Description forthcoming.

### verticalPagination

- (NSPrintingPaginationMode) verticalPagination;

Description forthcoming.

Up